name:                hasql-pipes
version:             0.1.0.1
github:              "https://gitlab.com/paolo.veronelli/hasql-pipes"
license:             BSD3
author:              "Paolo Veronelli"
maintainer:          "paolo.veronelli@gmail.com"
copyright:           "2020 Paolo Veronelli"

extra-source-files:
- README.md
- ChangeLog.md

# Metadata used when publishing your package
synopsis:            A pipe to stream a postgres database cursor in the hasql ecosystem
category:            Database, Streaming

# To avoid duplicated efforts in documentation and dealing with the
# complications of embedding Haddock markup inside cabal files, it is
# common to point users to the README.md file.
description:         Please see the README on GitLab at <https://gitlab.com/paolo.veronelli/hasql-pipes>

dependencies:
- base >= 4.7 && < 5
- pipes 
- pipes-safe
- hasql
- bytestring-tree-builder
- protolude

library:
  source-dirs: src



